<?php
rg_log("FILE: /feedback/suggestion");

$_suggestion = "";

$errmsg = array();
$show_form = 1;

while (1) {
	if ($rg['doit'] != 1) {
		// defaults
		$suggestion = "";
		break;
	}

	$suggestion = rg_var_str("suggestion");

	if (!rg_valid_referer()) {
		$errmsg[] = "invalid referer; try again";
		break;
	}

	if (!rg_token_valid($db, $rg, FALSE)) {
		$errmsg[] = "invalid token; try again";
		break;
	}

	if (empty($suggestion)) {
		$errmsg[] = "empty suggestion";
		break;
	}

	$r = rg_user_suggestion($db, $rg['login_ui']['uid'],
		$rg['login_ui']['email'], $suggestion);
	if ($r === FALSE) {
		$errmsg[] = "could not add suggestion (" . rg_user_error() . ")!";
		break;
	}

	$show_form = 0;
	$_suggestion .= rg_template("suggestion_sent.html", $rg);
	break;
}

if ($show_form == 1) {
	$rg['suggestion'] = $suggestion;
	$rg['HTML:errmsg'] = rg_template_errmsg($errmsg);
	$rg['rg_form_token'] = rg_token_get($db, $rg);
	$_suggestion .= rg_template("suggestion.html", $rg);
}

?>
