<?php
error_reporting(E_ALL | E_STRICT);
ini_set("track_errors", "On");

$INC = dirname(__FILE__) . "/../inc";
require_once(dirname(__FILE__) . "/config.php");
require_once($INC . "/init.inc.php");
require_once($INC . "/git.inc.php");

rg_log_set_file("git.log");

$rg_no_db = TRUE;
require_once("common.php");

rg_log("[*] Checking if git-init works...");
$r = rg_git_init("git.tmp");
if ($r !== TRUE) {
	rg_log("Cannot run rg_git_init (" . rg_git_error() . ")!");
	exit(1);
}

/*
rg_log("[*] Populate repo...");
file_put_contents("git.tmp/a", "aaa");
system("cd git.tmp; git commit -a -m \"aa\"; git checkout -n b1");
// This is a bare repo! Could not work!
*/

rg_log("[*] Testing rg_git_refs...");
$refs = rg_git_refs("git.tmp");
print_r($refs);

system("rm -rf git.tmp");

rg_log("OK");
?>
